TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Generator ( fld^num K, elt-ord^rat i ) -> elt-fld^num

### Description

<shortdoc> A primitive element of K (i must be 1). </shortdoc>

### Examples

x_R := PolynomialAlgebra( IntegerRing() ); x_x := Generator(x_R, 1); x_F := NumberField( x_x^2 - 5 ); x_a := Generator(x_F, 1); x_a^2; Parent(x_a);
x_R := PolynomialAlgebra( IntegerRing() ); x_x := Generator(x_R, 1); x_F := NumberField( [x_x^2 - 5, x_x^2 - 7 ] ); x_a := Generator(x_F, 1); x_b := Generator(x_F, 2); x_a^2; x_b^2; Parent(x_a); Parent(x_b);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack